Devuan bug report logs - #827
initramfs-tools-core: modprobe and depmod not found

Package: devuan-project; Maintainer for devuan-project is Devuan Developers <devuan-dev@lists.dyne.org>;

Affects: linux-headers-6.6.8-amd64, firmware-realtek, sed, kmod, netcat-traditional, initramfs-tools-core

Reported by: "G. L. Gragnani" <g.l.gragnani@gmx.com>

Date: Fri, 5 Jan 2024 07:26:01 UTC

Severity: grave

Merged with 812, 813, 821, 823, 826, 828

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#827; Package initramfs-tools-core. (Fri, 05 Jan 2024 07:26:01 GMT) (full text, mbox, link).


Acknowledgement sent to "G. L. Gragnani" <g.l.gragnani@gmx.com>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Fri, 05 Jan 2024 07:26:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: "G. L. Gragnani" <g.l.gragnani@gmx.com>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: initramfs-tools-core: modprobe and depmod not found
Date: Fri, 05 Jan 2024 08:33:17 +0100
[Message part 1 (text/plain, inline)]
Package: initramfs-tools-core
Version: 0.142
Severity: grave
Justification: renders package unusable

Dear Maintainer,

mkinitramfs reports a series of errors of this kind:
/sbin/modprobe not found
depmod not found

I'm attaching a file of the output.

Is this bug related to the usr-merge problem?

Ciao.
Gigi.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus/ceres)
Release:	5
Codename:	daedalus ceres
Architecture: x86_64

Kernel: Linux 6.6.9-amd64 (SMP w/8 CPU threads; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages initramfs-tools-core depends on:
ii  coreutils     9.4-3
ii  cpio          2.14+dfsg-1
ii  e2fsprogs     1.47.0-2+b1
ii  eudev [udev]  3.2.14-1
ii  klibc-utils   2.0.13-2
ii  kmod          31-1
ii  logsave       1.47.0-2+b1
ii  udev          1:3.2.9+devuan4

Versions of packages initramfs-tools-core recommends:
ii  busybox-static [busybox]  1:1.36.1-6
ii  zstd                      1.5.5+dfsg2-2

Versions of packages initramfs-tools-core suggests:
ii  bash-completion  1:2.11-8

-- no debconf information
[Processing_triggers_for_initramfs-tools_errors_and_warnings.txt (text/plain, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#827; Package initramfs-tools-core. (Fri, 05 Jan 2024 12:38:03 GMT) (full text, mbox, link).


Acknowledgement sent to Lorenzo <plorenzo@disroot.org>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 05 Jan 2024 12:38:04 GMT) (full text, mbox, link).


Message #10 received at 827@bugs.devuan.org (full text, mbox, reply):

From: Lorenzo <plorenzo@disroot.org>
To: "G. L. Gragnani" <g.l.gragnani@gmx.com>
Cc: 827@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>, Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: Re: [devuan-dev] bug#827: initramfs-tools-core: modprobe and depmod not found
Date: Fri, 5 Jan 2024 13:37:08 +0100
On Fri, 05 Jan 2024 08:33:17 +0100
"G. L. Gragnani" <g.l.gragnani@gmx.com> wrote:

> Package: initramfs-tools-core
> Version: 0.142
> Severity: grave
> Justification: renders package unusable
> 
> Dear Maintainer,
> 
> mkinitramfs reports a series of errors of this kind:
> /sbin/modprobe not found
> depmod not found

a duplicate of #826 and #828
https://bugs.devuan.org/cgi/bugreport.cgi?bug=826
https://bugs.devuan.org/cgi/bugreport.cgi?bug=828

> 
> I'm attaching a file of the output.
> 
> Is this bug related to the usr-merge problem?

Yes, upstream (Debian) is moving *everything* from /bin /sbin /lib to
their /usr counterparts ( /usr/bin /usr/sbin ..) to mitigate problems
between usrmerge layout and dpkg [1].

Expect /bin /sbin /lib in your unmerged system to become empty very
soon.

[1] https://subdivi.de/~helmut/dep17.html



bug reassigned from package 'initramfs-tools-core' to 'devuan-project'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:01 GMT) (full text, mbox, link).


No longer marked as found in versions 0.142. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:01 GMT) (full text, mbox, link).


Added indication that 827 affects netcat-traditional,linux-headers-6.6.8-amd64,firmware-realtek,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:01 GMT) (full text, mbox, link).


Merged 812 813 821 823 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:01 GMT) (full text, mbox, link).


Added indication that 827 affects initramfs-tools-core Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Removed indication that 827 affects linux-headers-6.6.8-amd64, initramfs-tools-core, netcat-traditional, sed, and firmware-realtek Added indication that 827 affects firmware-realtek,initramfs-tools-core,netcat-traditional,linux-headers-6.6.8-amd64,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Added indication that 827 affects kmod Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Removed indication that 827 affects netcat-traditional, sed, linux-headers-6.6.8-amd64, firmware-realtek, kmod, and initramfs-tools-core Added indication that 827 affects firmware-realtek,linux-headers-6.6.8-amd64,kmod,sed,initramfs-tools-core,netcat-traditional Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 828 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:02 GMT) (full text, mbox, link).


Message #31 received at 812-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 812-done@bugs.devuan.org
Subject: Re: bug#812: Devuan project: merged-usr
Date: Wed, 20 Mar 2024 12:06:27 +0000
Merged /usr is now enforced by base-files 13devuan4 and handled by debootstrap
1.0.134devuan2. Both of these versions are present in ceres and excalibur:

 base-files  | 13devuan4      | excalibur  | source, all
 base-files  | 13devuan4      | unstable   | source, all
 debootstrap | 1.0.134devuan2 | excalibur  | source, all
 debootstrap | 1.0.134devuan2 | unstable   | source, all

Golinux also posted an announcement[1] on the forum.

Therefore I am closing these reports as fixed.

Mark

[1]  https://dev1galaxy.org/viewtopic.php?id=6435      



Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri May 24 06:17:32 2024;